Retrieve a DTS root CA certificate
Retrieves a DTS root CA certificate.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>dtsCaCertificateId*stringUnique identifier of the DTS root CA certificate.
uuidDTS root CA certificate retrieved
application/json- response
id*stringUnique identifier for this DTS root CA certificate.
uuidactive*booleanIndicates whether the DTS root CA certificate is active. Activating a certificate does not affect your ability to create or sign subordinate (intermediate CA or signer) certificates: you can build a complete certificate chain while the root CA is inactive. Instead, active certificates are included in the selection process MATTR VII uses when choosing the certificate chain to sign a trusted list (VICAL or RICAL), where MATTR VII prefers the most recently created active certificate at each level of the chain. Only one DTS root CA certificate can be active at a time.
certificatePem*stringDTS root CA certificate in PEM format.
certificateFingerprint*stringSHA-256 hash of DTS root CA certificate content.
certificateData*isManaged*booleanIndicates whether the private key for this DTS root CA certificate is managed by MATTR (true) or out of band by the customer as an external certificate (false).
useIntermediateCa?booleanWhen true, this DTS root CA certificate uses the 3-tier certificate model, requiring and using DTS intermediate CA certificates as part of its chain of trust for signing operations. When false, the 2-tier model is used and the DTS root CA signs signer certificates directly. For an explanation of the 2-tier and 3-tier models, refer to the DTS certificates overview.
curl -X GET 'https://example.vii.au01.mattr.global/v1/ecosystems/certificates/ca/b0aae560-10e7-4247-8e96-7cdd3578a1e2'{ "id": "782f1885-c7c2-4459-8426-b6d7c111b0b1", "active": true, "certificatePem": "-----BEGIN CERTIFICATE-----\nMIIDXTCCAkWgAwIBAgIJAL5...\n-----END CERTIFICATE-----", "certificateFingerprint": "f6cad6e579d70b3973efa60624af731a580d1a11a7579e70f2f10f059dc86172", "certificateData": { "commonName": "example.com", "country": "US", "organisationName": "Example Inc.", "notAfter": "2024-10-22T00:00:00Z", "notBefore": "2023-10-22T00:00:00Z" }, "isManaged": true, "useIntermediateCa": true}How would you rate this page?